function [TestAcc, TestOutput] = OSELM_Reg_Test(Xtest, Ytest, ELM)

    %%%%%%%%%%% Performance Evaluation
    switch lower(ELM.ActivationFunction)
        case{'rbf'}
            HTest = RBFun(Xtest, ELM.IW, ELM.Bias);
        case{'sig'}
            HTest = SigActFun(Xtest, ELM.IW, ELM.Bias);
        case{'sin'}
            HTest = SinActFun(Xtest, ELM.IW, ELM.Bias);
        case{'hardlim'}
            HTest = HardlimActFun(Xtest, ELM.IW, ELM.Bias);
    end    
    TestOutput = HTest * ELM.beta;
    clear HTest;

    TestAcc.rmse=sqrt(mse(Ytest - TestOutput));     %   Calculate testing accuracy (RMSE) for regression case
    TestAcc.mse=mse(Ytest - TestOutput);            %   Calculate testing accuracy (RMSE) for regression case
    TestAcc.cc=corr2(Ytest, TestOutput);            %   Calculate testing accuracy (RMSE) for regression case

end

